Bug 1954715 - Imagestream imports become very slow when doing many in parallel
Summary: Imagestream imports become very slow when doing many in parallel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ImageStreams
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.8.0
Assignee: Oleg Bulatov
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-28 16:27 UTC by aaleman
Modified: 2021-07-27 23:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: we had 5 works to import images Consequence: when a lot of images should be imported, they could be in a queue for a dozen minutes Fix: increase number of workers Result: the import queue is processed faster
Clone Of:
Environment:
Last Closed: 2021-07-27 23:04:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 178 0 None open Bug 1954715: Increase number of image-import controller workers 2021-05-17 10:07:25 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:05:00 UTC

Description aaleman 2021-04-28 16:27:08 UTC
Description of problem:

When creating many imagestream imports in parallel, they eventually become very slow (more than 15 minutes) even when the import is just from one namespace to the other in the same cluster. This is presumably caused by the controller only having a concurrency of five, we observed that the workqueue_depth for the ImageStreamController goes up to 350.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Steve Kuznetsov 2021-05-12 14:08:58 UTC
@Oleg if I remember correctly you wrote a patch that bumped the number of workers, or made it tunable from the operator configuration layer, right? If so, we can likely close this out.

Comment 3 Oleg Bulatov 2021-05-17 10:08:33 UTC
That PR is still open and is part of this BZ.

Comment 9 errata-xmlrpc 2021-07-27 23:04:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.